%define upstream_name    DateTime-Calendar-Discordian
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    DateTime extension for the Discordian calendar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The Discordian Calendar
    Seasons
            Name            Patron apostle
            ----            --------------
            Chaos           Hung Mung
            Discord         Dr. Van Van Mojo
            Confusion       Sri Syadasti
            Bureaucracy     Zarathud
            The Aftermath   The Elder Malaclypse

        Each season contains 73 consecutively numbered days.

    Holidays
            Apostle Holidays    Season Holidays
            ----------------    ---------------
            1) Mungday          1) Chaoflux
            2) Mojoday          2) Discoflux
            3) Syaday           3) Confuflux
            4) Zaraday          4) Bureflux
            5) Maladay          5) Afflux

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc README LICENSE SIGNATURE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.0.0-9pclos2017
- rebuild against updates
